/*
 * $Id:$
 *
 * Description  : Render module template
 * Author       : Jiri Bittner
 *
 * Purpose      :
 */


#include <stdlib.h>
#include <wx/stopwatch.h>
#include "_render.h"
#include "scene.h"
#include "camera.h"

using namespace VRUT;


_render::_render(MODULE_ID _id, const wxString & _name, EventHandler * msgSink) : RenderGlModule(_id, _name, msgSink)
{
}

_render::~_render()
{
}

wxString _render::GetDesc() const
{
  return wxT("Create window and render given scene to it using BVH interface");
}

bool _render::Initialize()
{
  return RenderGlModule::Initialize();
}

void _render::Draw()
{
  RenderGlModule::Draw();
}

void _render::Deinitialize()
{
  RenderGlModule::Deinitialize();
}

void _render::processEvent(wxCommandEvent & evt)
{
  RenderGlModule::processEvent(evt);
}

EXPORT_VRUT_MODULE_FUNCTIONS( _render )
